<?php
## fonction accepte 2 type argument. Ou un chemin relatif pour lister un repertoire.
## ou un tableau contenant lui meme les valeurs
function index_key($tab,$key){
	global $tab;
	$key=$key*10;
	if (!tep_not_null($tab))$tab=array("");
	if( (!tep_not_null($key))OR(empty($key)) )$key=1;
	round($key);
	if (!isset($tab[$key])){
		$tab[$key]=$key;
		return $key;
	} else {

		while (in_array($key,$tab))
			$key++;
		if (!in_array($key,$tab)) {
		$tab[$key]=$key;
		return $key;
		}
	}
}
?>